%define major		2
%define libname		%mklibname ast %{major}
%define develname	%mklibname ast -d

Summary:	Library of Assorted Spiffy Things
Name:		libast
Version:	0.7
Release:	%mkrel 24
Group:		System/Libraries
License:	BSD
URL:		http://www.eterm.org/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		libast-m4-include.patch
Patch1:		libast-configure-c99.patch
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xt)

%package -n	%{libname}
Summary:	Library of Assorted Spiffy Things
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%package -n	%{develname}
Summary:	Development related files for LibAST
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description
LibAST is the Library of Assorted Spiffy Things.  It contains various
handy routines and drop-in substitutes for some good-but-non-portable
functions.  It currently has a built-in memory tracking subsystem as
well as some debugging aids and other similar tools.

%description -n	%{libname}
LibAST is the Library of Assorted Spiffy Things.  It contains various
handy routines and drop-in substitutes for some good-but-non-portable
functions.  It currently has a built-in memory tracking subsystem as
well as some debugging aids and other similar tools.

%description -n	%{develname}
Install this package if you need to compile applications that needs
%{name}.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -std=gnu17"
# fix build on aarch64
autoreconf -vfi -I.

# -lX11 is to work around a dependency problem
%configure --disable-static \
           --with-regexp=posix \
           LIBS=-lX11
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc README
%{_libdir}/lib*.so.%{major}{,.*}

%files  -n %{develname}
%doc README
%{_libdir}/lib*.so
%{_includedir}/*
%{_datadir}/aclocal/*.m4
%{_bindir}/*-config


%changelog
* Fri May 16 2025 ns80 <ns80> 0.7-24.mga10
+ Revision: 2183779
- try to fix building with GCC 15

* Fri Oct 04 2024 daviddavid <daviddavid> 0.7-23.mga10
+ Revision: 2103058
- add fedora patches to fix build with GCC 14

* Fri Apr 14 2023 daviddavid <daviddavid> 0.7-22.mga9
+ Revision: 1952980
- switch to POSIX regex

* Wed Mar 30 2022 umeabot <umeabot> 0.7-21.mga9
+ Revision: 1834507
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.7-20.mga8
+ Revision: 1513900
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.7-19.mga7
+ Revision: 1298759
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 0.7-18.mga7
+ Revision: 1235608
- fix build on aarch64
- drop multiarch support
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.7-17.mga6
+ Revision: 944614
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7-16.mga5
+ Revision: 750365
- Second Mageia 5 Mass Rebuild

* Sat Oct 11 2014 umeabot <umeabot> 0.7-15.mga5
+ Revision: 738035
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7-14.mga4
+ Revision: 506878
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.7-13.mga3
+ Revision: 356831
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 07 2011 wally <wally> 0.7-12.mga3
+ Revision: 164951
- get rid of .la files
- add major version check to file list

* Tue Apr 19 2011 ennael <ennael> 0.7-11.mga1
+ Revision: 88301
- clean spec file
- imported package libast


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7-11mdv2011.0
+ Revision: 602521
- rebuild

* Thu Apr 22 2010 Matthew Dawkins <mattydaw@mandriva.org> 0.7-10mdv2010.1
+ Revision: 537843
- disabled static build
  cleaned up specfile

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7-9mdv2010.1
+ Revision: 520751
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.7-8mdv2010.0
+ Revision: 425516
- rebuild

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7-7mdv2009.1
+ Revision: 301470
- rebuilt against new libxcb

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.7-6mdv2009.0
+ Revision: 222503
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.7-5mdv2008.1
+ Revision: 170945
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 17 2007 Adam Williamson <awilliamson@mandriva.org> 0.7-3mdv2008.0
+ Revision: 53054
- rebuild for 2008
- new devel policy
- Import libast



* Wed Jun 07 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7-2mdv2007.0
- fix buildrequires

* Fri Apr 14 2006 Stew Benedict <sbenedict@mandriva.com> 0.7-1mdk
- 0.7: fixes CVE-2006-0224

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.1-3mdk
- Rebuild

* Wed Feb 03 2005 Abel Cheung <deaddog@mandrake.org> 0.6.1-2mdk
- Remove mmx toggling, Eterm already has mmx support included into
  package for ages and nobody complained. I wonder who is running
  Eterm inside a non-MMX pentium I.

* Thu Feb 03 2005 Abel Cheung <deaddog@mandrake.org> 0.6.1-1mdk
- New version
- Remove patch (upstream)
- multiarch

* Sat May 29 2004 Abel Cheung <deaddog@deaddog.org> 0.5-4mdk
- Patch0: automake 1.8 compatibility

* Mon Sep  1 2003 Abel Cheung <deaddog@deaddog.org> 0.5-3mdk
- mklibname
- various spec tweaks
- rasterman stuff are using BSD license

* Sun Apr 20 2003 Stefan van der Eijk <stefan@eijk.nu> 0.5-2mdk
- BuildRequires: gettext-devel

* Fri Jan 24 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.5-1mdk
- 0.5
- remove cleaning patch
- some spec cleanups
- don't do "make test".. the author's spec doesn't and one test fails

* Sun Nov 17 2002 Stefan van der Eijk <stefan@eijk.nu> 0.4-4mdk
- BuildRequires

* Thu Oct 10 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4-3mdk
- Costlessly make check in %%build
- Patch0: Clean configure of any reference to -I/usr/include or
  -L/usr/lib. Assume, we have a prefix of /usr here.

* Fri Jun 14 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.4-2mdk
- added requires
- recompiled for libintl2

* Thu Nov 22 2001 Vincent Guardiola  <vguardiola@mandrakesoft.com> 0.4-1mdk
-  Initial packaging
